Subject: Re: bug#18132: Time for a smarter dired-guess-shell-alist-default? (dired-x.el)

From: Juri Linkov <[email-masked]>
Date: Thu, 23 May 2024 20:31:00 +0300

>> > What about optionally letting the system facilities present the menu
>> > of appropriate commands and let the user select from that menu?
>>
>> This is already implemented by the context menu in Dired.
>> I've checked that the contents of this context menu is exactly
>> the same as on the default OS file manager since both use XDG.
>
> Can you tell me how to try that starting from "emacs -Q"?

You can move to e.g. a PDF file in a Dired buffer and click the right button.